<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler');
$settings = new Configuration( $configurationHandler );
unset( $settings['smtp.host'] );
unset( $settings['smtp.enable_authentication'] );
unset( $settings['smtp.username'] );
unset( $settings['smtp.password'] );
unset( $settings['smtp.port'] );
unset( $settings['smtp.encryption_mode'] );
$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->info( 'Plugin smtp successfully uninstalled.' );

return true;
